Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.notification
Class ConnectionReconnectFailedEvent

    java.lang.Object
      java.util.EventObject
          com.sun.messaging.jms.notification.Event
              com.sun.messaging.jms.notification.ConnectionEvent
                  com.sun.messaging.jms.notification.ConnectionReconnectFailedEvent

All Implemented Interfaces:
  Serializable

    public class ConnectionReconnectFailedEvent

extends ConnectionEvent

MQ Connection Reconnect Failed Event is generated and delivered to the event listener if a MQ reconnect failed and an event listener is set to the MQ connection.

The application can also obtain the current broker's address from the API defined in the ConnectionEvent.

See Also:
  Serialized Form

Field Summary
`static String` | `CONNECTION_RECONNECT_FAILED` Connection reconnect failed event code.

Fields inherited from class com.sun.messaging.jms.notification.ConnectionEvent
`connection`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ConnectionReconnectFailedEvent(Connection conn, String evCode, String evMessage, JMSException jmse)` Construct a connection reconnect failed event associated with the specified connection.

Method Summary
`JMSException` | `getJMSException()` Get the JMSException that caused the connection to be closed.

Methods inherited from class com.sun.messaging.jms.notification.ConnectionEvent
`getBrokerAddress, getConnection, getSource`

Methods inherited from class com.sun.messaging.jms.notification.Event
`getEventCode, getEventMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONNECTION_RECONNECT_FAILED

    public static final String CONNECTION_RECONNECT_FAILED

  Connection reconnect failed event code.

  See Also:
    Constant Field Values

Constructor Detail

### ConnectionReconnectFailedEvent

    public ConnectionReconnectFailedEvent(Connection conn,
                                          String evCode,
                                          String evMessage,
                                          JMSException jmse)

  Construct a connection reconnect failed event associated with the specified connection.

  Parameters:
    `conn` - the connection associated with the reconnect event. MQ may automatically reconnect to the same broker or a different broker depends on the client runtime configuration.
    `evCode` - the event code that represents this event object.
    `evMessage` - the event message that describes this event object.
    `jmse` - the JMSException that caused this event.

Method Detail

### getJMSException

    public JMSException getJMSException()

  Get the JMSException that caused the connection to be closed.

  Returns:
    the JMSException that caused the connection to be closed. return null if no JMSException associated with this event, such as connection closed caused by admin requested shutdown.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.